<?php

namespace App\Data\Pagarme\Request\RecipientRequestData\RecipientRegisterInformationData\RecipientPhoneNumbersData;

use App\Data\Pagarme\PagarmeData;

final readonly class RecipientPhoneNumbersData extends PagarmeData
{
    public function __construct(
        public RecipientPhoneData $phone,
    ) {}

    public function toArray(): array
    {
        return [$this->phone->toArray()];
    }
}
